<?php
 session_start();
class Conectar {
    protected $dbh;

    // Método para conectar a la base de datos
    public  function Conexion() {
        try {
            $this->dbh = new PDO("mysql:host=localhost;dbname=cadipcl_cadip", "cadipcl_root", "cadip.2025*");
            return $this->dbh;
        } catch (Exception $e) {
            print "¡Error BD!: " . $e->getMessage() . "<br/>";
            die();
        }
    }

    // Configurar el set de caracteres
    public function set_names() {
        return $this->dbh->query("SET NAMES 'utf8'");
    }

    // Ruta base del proyecto
    public static function ruta() {
        return "https://inf.cadip.cl/";
    }
}
